Bug 703714 - openais service causes AVCs
openais service causes AVCs
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.7
ppc64 Linux
medium Severity medium
: rc
: ---
Assigned To: Miroslav Grepl
Milos Malik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-11 03:35 EDT by Milos Malik
Modified: 2012-10-16 07:01 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-2.4.6-306.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-21 05:20:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2011-05-11 03:35:50 EDT
Description of problem:


Version-Release number of selected component (if applicable):
selinux-policy-devel-2.4.6-302.el5
selinux-policy-2.4.6-302.el5
selinux-policy-targeted-2.4.6-302.el5

How reproducible:
always

Steps to Reproduce:
# service openais start
Starting OpenAIS daemon (aisexec): [  OK  ]
# service openais status
aisexec (pid 25561) is running...
# service openais stop
Stopping OpenAIS daemon (aisexec): [  OK  ]
# 

Actual results:
----
time->Wed May 11 03:33:39 2011
type=SYSCALL msg=audit(1305099219.632:205): arch=14 syscall=102 success=no exit=-13 a0=2 a1=ffe0f6b4 a2=10 a3=ffe0f6f4 items=0 ppid=1 pid=25561 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts0 ses=4 comm="aisexec" exe="/usr/sbin/aisexec" subj=root:system_r:aisexec_t:s0 key=(null)
type=AVC msg=audit(1305099219.632:205): avc:  denied  { name_bind } for  pid=25561 comm="aisexec" src=5404 scontext=root:system_r:aisexec_t:s0 tcontext=system_u:object_r:port_t:s0 tclass=udp_socket
----

Expected results:
no AVCs
Comment 1 Miroslav Grepl 2011-05-11 03:43:40 EDT
We have in RHEL6

network_port(netsupport, tcp,5404,s0, udp,5404,s0, tcp,5405,s0, udp,5405,s0)

and

corenet_udp_bind_netsupport_port(aisexec_t)
Comment 2 Daniel Walsh 2011-05-12 01:42:48 EDT
Sounds good.
Comment 4 Miroslav Grepl 2011-05-19 11:31:06 EDT
Fixed in selinux-policy-2.4.6-306.el5
Comment 7 errata-xmlrpc 2011-07-21 05:20:18 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1069.html
Comment 8 errata-xmlrpc 2011-07-21 07:56:47 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1069.html

Note You need to log in before you can comment on or make changes to this bug.